package diaswarm.device;

import fr.inria.diagen.core.ServiceConfiguration;
import fr.inria.phoenix.diasuite.framework.device.airpollutionsensor.AbstractAirPollutionSensor;

public class AirPollutionSensor extends AbstractAirPollutionSensor {

	public AirPollutionSensor(ServiceConfiguration serviceConfiguration,
			String idValue, String locationValue) {
		super(serviceConfiguration, idValue, locationValue);
	}

	// The air pollution sensor exposes a method allowing to publish a measured
	// pollution level.
	public void publish(Integer aqi) {
		publishAqi(aqi);
	}

}
