package diaswarm.device;

import fr.inria.diagen.core.ServiceConfiguration;
import fr.inria.phoenix.diasuite.framework.device.cityinfopanel.AbstractCityInfoPanel;

public class CityInfoPanel extends AbstractCityInfoPanel {

	public CityInfoPanel(ServiceConfiguration serviceConfiguration,
			String idValue, String locationValue) {
		super(serviceConfiguration, idValue, locationValue);
	}

	// The information panel shows messages on the system console.
	@Override
	protected void showInfo(String message) throws Exception {
		System.out.println("/*************** INFORMATION PANEL ***************/\n");
		System.out.println(message);
		System.out.println("/*************************************************/\n");
	}

}
