package diaswarm;

import diaswarm.context.AveragePollution;
import diaswarm.controller.CityInfoPanelController;
import fr.inria.phoenix.diasuite.framework.context.averagepollution.AbstractAveragePollution;
import fr.inria.phoenix.diasuite.framework.controller.cityinfopanelcontroller.AbstractCityInfoPanelController;
import fr.inria.phoenix.diasuite.framework.deployment.AppComponentBinder;

public class ComponentBinder extends AppComponentBinder {

	@Override
	public Class<? extends AbstractAveragePollution> getAveragePollutionClass() {
		return AveragePollution.class;
	}

	@Override
	public Class<? extends AbstractCityInfoPanelController> getCityInfoPanelControllerClass() {
		return CityInfoPanelController.class;
	}

}
